Description

The "config_version" needs to be able to be "left out" of the puppet.conf config file conditionally (probably 3.6+)

At a minimum, server_config_version should be able to be set to null or "" (empty) to get it to exclude like the "environment" template

has. Automating its presence based on puppet version is probably a good thing (tm).

Here is the deprecation warning:

Warning: Setting config_version is deprecated in puppet.conf. See http://links.puppetlabs.com/env-settings-deprecations

(at /usr/share/ruby/vendor_ruby/puppet/settings.rb:1141:in `issue_deprecation_warning')

Related issues:

Related to Installer - Bug #8050: config_version isn't working on directory e... Resolved 10/23/2014

History

#1 - 12/09/2014 03:49 AM - Dominic Cleal

- Related to Bug #8050: config_version isn't working on directory envs + git repos added

#2 - 12/09/2014 03:49 AM - Dominic Cleal

Was that with --puppet-server-git-repo=true?

#3 - 12/09/2014 09:33 PM - Tommy McNeely

No, I have it set to false because my "puppet-environments" repo uses a "Puppetfile" and "r10k" to deploy it. From what I can tell (and I may be

wrong) the "git environment" expects everything to be in each repo branch.

However, I agree that these two issues are related, and perhaps need to just become a CR back to Puppet asking them what method we should use

to set the config_version in a dynamic environment going forward?

~tommy

#4 - 12/10/2014 04:36 AM - Dominic Cleal

My understanding is that we now need to populate environment.conf for each environment to set it, there's no global method.  For the git

environments case we probably need to enhance the git hook, and for your r10k environment you probably need to add environment.conf to the

managed files.

#5 - 12/10/2014 04:43 AM - Ewoud Kohl van Wijngaarden

Could it be you used the installer on an older puppet version and then upgraded puppet? The installer will detect the puppet version and should use

directory environments with new enough puppet versions.

#6 - 12/10/2014 10:49 AM - Tommy McNeely

Chatting with Dominic and gwmngilfen we found the problem...

I had originally set:

server_dynamic_environments: true
 ... because I am indeed using dynamic environments, but that actually was a setting that should be false because I am using directory environments.

So it should be:

server_dynamic_environments: false

        server_directory_environments: true

 That  doesn't necessarily mean that there shouldn't be some sort of "conflicting options" checks or "version" check here, but its far less critical ;)

#7 - 02/10/2015 10:15 AM - Dominic Cleal

- Status changed from New to Resolved

https://github.com/theforeman/puppet-puppet/commit/97b6a6f1bd0e18c19fe52a92232914debafbb4ef should resolve any stray config_version

settings being added too when directory environments are enabled.
